Project

General

Profile

Bug #20534

pulp metadata generation issue

Added by Uldis Biks about 5 years ago. Updated almost 5 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
-
Target version:
-
Difficulty:
Triaged:
No
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:

Description

Hi,

I was running foreman-1.14.3. /var/lib/pulp - where all rpms are being stored got full and repo sync processes piled up in running state. I freed up space and cancelled piled up tasks. Synced repos manually and tried to update from repo, but got error - https://xxx/pulp/repos/xxx/Library/content/dist/rhel/server/7/7Server/x86_64/os/vim-minimal-7.4.160-2.el7.x86_64.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=rhel-7-server-rpms clean metadata
Tried to regenerate metadata with - ForemanTasks.async_task(Actions::Pulp::Repository::DistributorPublish, :pulp_id => repo.pulp_id, :distributor_type_id => Runcible::Models::YumDistributor.type_id), but metadata was not regenerated because it already existed and there was not option to force regenerate AFAIK.
Upgraded to foreman-1.15.2, forced metadata regeneration and it completed ok as far as I can tell, but yum still can`t install packages with same error as before.

Any suggestions?

Tnx!

History

#1 Updated by Uldis Biks almost 5 years ago

  • Status changed from New to Resolved

#2 Updated by Uldis Biks almost 5 years ago

From UI it is possible to force reread of repo and it works.

Also available in: Atom PDF